/* ----------------------------------------------------------------------------
 *     Copyright (c) 2000-2021, Nexus Electronics Ltd (www.nexus.co.uk)
 *                            All rights reserved
 *
 * Redistribution and use in source and derived forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 *  * Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *  * Redistributions in derived forms must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *  * Neither the name of Nexus Electronics Ltd. nor the names of its
 *    contributors may be used to endorse or promote products derived from
 *    this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY NEXUS ELECTRONICS LTD. "AS IS" AND ANY EXPRESS
 * OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL NEXUS ELECTRONICS LTD. BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
 * DAMAGE.
 * ----------------------------------------------------------------------------
 * Title       : triple-DES, ROM sbox data
 * Project     : MAS
 * RCS ID      : 
 * $Id: rom_sboxes.v,v 1.2 2001/01/16 18:13:58 el Exp $
 * ----------------------------------------------------------------------------
 * File        : rom_sboxes.v
 * Author      : E.M. Lavelle
 * Company     : Nexus Electronics Ltd.
 * Last saved  : 22/08/2000
 * Version     : $Revision: 1111 $
 * ----------------------------------------------------------------------------
 * Description : 
 * 
 * ----------------------------------------------------------------------------
 * Modification history:
 * Date        Version Author     Comment
 * 22/08/2000  0.1      EML       created
 *
 * ------------------------------------------------------------------------- */

// synthesis translate_off
`include "XilinxCoreLib/C_DIST_MEM_V3_0.v"
// synthesis translate_on

module rom_sbox1 (A, SPO);
input  [5 : 0] A;
output [3 : 0] SPO;
// synthesis translate_off
   C_DIST_MEM_V3_0 #(
	6,"0",1,64,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,
	"../coregen/rom_sbox1.mif",1,0,0,0,0,0,1,0,0,4)
   sbox1 (.A(A), .SPO(SPO));
// synthesis translate_on
endmodule

module rom_sbox2 (A, SPO);
input  [5 : 0] A;
output [3 : 0] SPO;
// synthesis translate_off
   C_DIST_MEM_V3_0 #(
	6,"0",1,64,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,
	"../coregen/rom_sbox2.mif",1,0,0,0,0,0,1,0,0,4)
   sbox2 (.A(A), .SPO(SPO));
// synthesis translate_on
endmodule

module rom_sbox3 (A, SPO);
input  [5 : 0] A;
output [3 : 0] SPO;
// synthesis translate_off
   C_DIST_MEM_V3_0 #(
	6,"0",1,64,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,
	"../coregen/rom_sbox3.mif",1,0,0,0,0,0,1,0,0,4)
   sbox3 (.A(A), .SPO(SPO));
// synthesis translate_on
endmodule

module rom_sbox4 (A, SPO);
input  [5 : 0] A;
output [3 : 0] SPO;
// synthesis translate_off
   C_DIST_MEM_V3_0 #(
	6,"0",1,64,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,
	"../coregen/rom_sbox4.mif",1,0,0,0,0,0,1,0,0,4)
   sbox4 (.A(A), .SPO(SPO));
// synthesis translate_on
endmodule

module rom_sbox5 (A, SPO);
input  [5 : 0] A;
output [3 : 0] SPO;
// synthesis translate_off
   C_DIST_MEM_V3_0 #(
	6,"0",1,64,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,
	"../coregen/rom_sbox5.mif",1,0,0,0,0,0,1,0,0,4)
   sbox5 (.A(A), .SPO(SPO));
// synthesis translate_on
endmodule

module rom_sbox6 (A, SPO);
input  [5 : 0] A;
output [3 : 0] SPO;
// synthesis translate_off
   C_DIST_MEM_V3_0 #(
	6,"0",1,64,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,
	"../coregen/rom_sbox6.mif",1,0,0,0,0,0,1,0,0,4)
   sbox6 (.A(A), .SPO(SPO));
// synthesis translate_on
endmodule

module rom_sbox7 (A, SPO);
input  [5 : 0] A;
output [3 : 0] SPO;
// synthesis translate_off
   C_DIST_MEM_V3_0 #(
	6,"0",1,64,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,
	"../coregen/rom_sbox7.mif",1,0,0,0,0,0,1,0,0,4)
   sbox7 (.A(A), .SPO(SPO));
// synthesis translate_on
endmodule

module rom_sbox8 (A, SPO);
input  [5 : 0] A;
output [3 : 0] SPO;
// synthesis translate_off
   C_DIST_MEM_V3_0 #(
	6,"0",1,64,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,
	"../coregen/rom_sbox8.mif",1,0,0,0,0,0,1,0,0,4)
   sbox8 (.A(A), .SPO(SPO));
// synthesis translate_on
endmodule

/*----------------------------------- EOF -----------------------------------*/
